Cantera 2.6.0

Public Member Functions | Private Member Functions | List of all members
oxygen Class Reference

Pure species representation of oxygen. More...

`#include <Oxygen.h>`

Inheritance diagram for oxygen:
[legend]
Collaboration diagram for oxygen:
[legend]

## Public Member Functions
double | MolWt ()
| Molecular weight [kg/kmol]. More...
double | Tcrit ()
| Critical temperature [K]. More...
double | Pcrit ()
| Critical pressure [Pa]. More...
double | Vcrit ()
| Critical specific volume [m^3/kg]. More...
double | Tmin ()
| Minimum temperature for which the equation of state is valid. More...
double | Tmax ()
| Maximum temperature for which the equation of state is valid. More...
double | Pp ()
double | up ()
| Internal energy of a single-phase state. More...
double | sp ()
| Entropy of a single-phase state. More...
double | Psat ()
| Saturation pressure. Equation S4 from Reynolds TPSI. More...
Public Member Functions inherited from Substance
void | setStdState (double h0=0.0, double s0=0.0, double t0=298.15, double p0=1.01325e5)
virtual double | Pp ()=0
double | hp ()
| Enthaply of a single-phase state. More...
double | gp ()
| Gibbs function of a single-phase state. More...
double | prop (propertyFlag::type ijob)
void | set_TPp (double t0, double p0)
| set T and P More...
void | Set (PropertyPair::type XY, double x0, double y0)
| Function to set or change the state for a property pair XY where x0 is the value of first property and y0 is the value of the second property. More...
const char * | name ()
| Name of the substance. More...
const char * | formula ()
| Chemical formula for the substance. More...
double | P ()
| Pressure [Pa]. More...
double | Temp ()
| Temperature [K]. More...
double | v ()
| Specific volume [m^3/kg]. More...
double | u ()
| Internal energy [J/kg]. More...
double | h ()
| Enthalpy [J/kg]. More...
double | s ()
| Entropy [J/kg/K]. More...
double | f ()
| Helmholtz function [J/kg]. More...
double | g ()
| Gibbs function [J/kg]. More...
virtual double | cv ()
| Specific heat at constant volume [J/kg/K]. More...
virtual double | cp ()
| Specific heat at constant pressure [J/kg/K]. More...
virtual double | thermalExpansionCoeff ()
virtual double | isothermalCompressibility ()
double | Ps ()
virtual double | dPsdT ()
| The derivative of the saturation pressure with respect to temperature. More...
double | Tsat (double p)
| Saturation temperature at pressure p. More...
double | x ()
| Vapor mass fraction. More...
int | TwoPhase (bool strict=false)
| Returns 1 if the current state is a liquid/vapor mixture, 0 otherwise. More...

## Private Member Functions
double | ldens ()
| Liquid density. Equation D2 from Reynolds TPSI. More...
double | C (int i, double rt, double rt2)
| Equation P4 from Reynolds TPSI. More...
double | Cprime (int i, double rt, double rt2, double rt3)
double | I (int i, double egrho)
double | H (int i, double egrho)
double | W (int i, double egrho)

## Additional Inherited Members
Protected Member Functions inherited from Substance
virtual double | ldens ()=0
virtual double | Psat ()=0
| Saturation pressure, Pa. More...
virtual double | up ()=0
| Internal energy of a single-phase state. More...
virtual double | sp ()=0
| Entropy of a single-phase state. More...
virtual int | ideal ()
double | vp ()
int | Lever (int itp, double sat, double val, propertyFlag::type ifunc)
| Uses the lever rule to set state in the dome. More...
void | update_sat ()
| Update saturated liquid and vapor densities and saturation pressure. More...
Protected Attributes inherited from Substance
double | T
double | Rho
double | Tslast
double | Rhf
double | Rhv
double | Pst
double | m_energy_offset
double | m_entropy_offset
std::string | m_name
std::string | m_formula

## Detailed Description

Pure species representation of oxygen.

Values and functions are from "Thermodynamic Properties in SI" by W.C. Reynolds

Definition at line 15 of file Oxygen.h.

## Constructor & Destructor Documentation

## ◆ oxygen()

oxygen | ( |  | ) |
| inline

Definition at line 18 of file Oxygen.h.

## Member Function Documentation

## ◆ MolWt()

double MolWt | ( |  | ) |
| virtual

Molecular weight [kg/kmol].

Implements Substance.

Definition at line 244 of file Oxygen.cpp.

## ◆ Tcrit()

double Tcrit | ( |  | ) |
| virtual

Critical temperature [K].

Implements Substance.

Definition at line 224 of file Oxygen.cpp.

## ◆ Pcrit()

double Pcrit | ( |  | ) |
| virtual

Critical pressure [Pa].

Implements Substance.

Definition at line 228 of file Oxygen.cpp.

## ◆ Vcrit()

double Vcrit | ( |  | ) |
| virtual

Critical specific volume [m^3/kg].

Implements Substance.

Definition at line 232 of file Oxygen.cpp.

## ◆ Tmin()

double Tmin | ( |  | ) |
| virtual

Minimum temperature for which the equation of state is valid.

Implements Substance.

Definition at line 236 of file Oxygen.cpp.

## ◆ Tmax()

double Tmax | ( |  | ) |
| virtual

Maximum temperature for which the equation of state is valid.

Implements Substance.

Definition at line 240 of file Oxygen.cpp.

## ◆ Pp()

double Pp | ( |  | ) |
| virtual

Implements Substance.

Definition at line 179 of file Oxygen.cpp.

## ◆ up()

double up | ( |  | ) |
| virtual

Internal energy of a single-phase state.

Implements Substance.

Definition at line 144 of file Oxygen.cpp.

## ◆ sp()

double sp | ( |  | ) |
| virtual

Entropy of a single-phase state.

Implements Substance.

Definition at line 160 of file Oxygen.cpp.

## ◆ Psat()

double Psat | ( |  | ) |
| virtual

Saturation pressure. Equation S4 from Reynolds TPSI.

Implements Substance.

Definition at line 192 of file Oxygen.cpp.

## ◆ ldens()

double ldens | ( |  | ) |
| private virtual

Liquid density. Equation D2 from Reynolds TPSI.

Implements Substance.

Definition at line 211 of file Oxygen.cpp.

## ◆ C()

double C | ( | int | i,
|  | double | rt,
|  | double | rt2
| ) |  |
| private

Equation P4 from Reynolds TPSI.

Definition at line 56 of file Oxygen.cpp.

## ◆ Cprime()

double Cprime | ( | int | i,
|  | double | rt,
|  | double | rt2,
|  | double | rt3
| ) |  |
| private

Definition at line 92 of file Oxygen.cpp.

## ◆ I()

double I | ( | int | i,
|  | double | egrho
| ) |  |
| private

Definition at line 139 of file Oxygen.cpp.

## ◆ H()

double H | ( | int | i,
|  | double | egrho
| ) |  |
| private

Definition at line 134 of file Oxygen.cpp.

## ◆ W()

double W | ( | int | i,
|  | double | egrho
| ) |  |
| private

Definition at line 128 of file Oxygen.cpp.

The documentation for this class was generated from the following files:

- Oxygen.h
- Oxygen.cpp